<!DOCTYPE html>
<html>
<head>
	<style type="text/css">
		html{ height:100%; }
		body{ min-height:100%; padding:0; margin:0; position:relative; }

		body::after{ content:''; display:block; height:100px; }

		footer{ 
		  position:absolute; 
		  bottom:0; 
		  width:100%; 
		  height:100px; 
		}
	</style>
	<title></title>
</head>
<body>
	<header>HEADER</header>
		<article>
		  <input type='checkbox' id='c' />
		  <label for='c'>Toggle Content Height</label>
		</article>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<br/>
		<p>aaaaaaaa</p>
		<br/>
		<br/>
	<footer>FOOTER</footer>
</body>
</html>